######################################################################
# Workspace Server Properties
######################################################################

######################################################################
#
# includeClientIPAddr (optional)
#	Boolean indicating if the client IP address is included in the 
#   WS_SECURITY_LOGIN and WS_SECURITY_LOGOUT events.  Note that to get
#   the attribute written to the EC event in the database, you must 
#   edit ec-probe-rules.xml and add the clientIPAddr attribute to the 
#   includedAttributesList in the CentralECAuditProcess definition.
#
#   If omitted, defaults to false.
#
#		true	-	Include the attribute
#		false	-	Don't include the attribute (the default)
######################################################################
#includeClientIPAddr=false

######################################################################
#
# includeClientReferer (optional)
#	Boolean indicating if the client referer is included in the 
#   WS_SECURITY_LOGIN and WS_SECURITY_LOGOUT events.  The referer is
#   URL the requets is being made from.  This is useful if you have
#   multiple applications and want to know which specific application
#   is making the request.  Note that to get the attribute written to 
#   the EC event in the database, you must edit ec-probe-rules.xml and 
#   add the clientReferer attribute to the includedAttributesList in 
#   the CentralECAuditProcess definition.
#
#   If omitted, defaults to false.
#
#		true	-	Include the attribute
#		false	-	Don't include the attribute (the default)
######################################################################
#includeClientReferer=false

######################################################################
#
# includeClientUserAgent (optional)
#	Boolean indicating if the client user agent is included in the 
#   WS_SECURITY_LOGIN and WS_SECURITY_LOGOUT events.  The user agent is
#   a string that identifies the type of brower.  Note that to get the 
#   attribute written to the EC event in the database, you must edit 
#   ec-probe-rules.xml and add the clientUserAgent attribute to the 
#   includedAttributesList in the CentralECAuditProcess definition.
#
#   If omitted, defaults to false.
#
#		true	-	Include the attribute
#		false	-	Don't include the attribute (the default)
######################################################################
#includeClientUserAgent=false

######################################################################
#
# includeClientSessionId (optional)
#	Boolean indicating if the client session ID is included in the 
#   WS_SECURITY_LOGIN and WS_SECURITY_LOGOUT events.  Note that to get 
#   the attribute written to the EC event in the database, you must edit 
#   ec-probe-rules.xml and add the clientSessionId attribute to the 
#   includedAttributesList in the CentralECAuditProcess definition.
#
#   If omitted, defaults to false.
#
#		true	-	Include the attribute
#		false	-	Don't include the attribute (the default)
######################################################################
#includeClientSessionId=false

######################################################################
#
# clientIPAddrRequestHeader (optional)
#	String indicating the http request header to use for determining the 
#   client IP address for the WS_SECURITY_LOGIN and WS_SECURITY_LOGOUT 
#   events. 
#
#   This useful when a proxy or a load balancer is being used.  Note that
#   the x-forwarded-for request header is commonly used by proxies and
#   load balancers but you may need to adjust this based on your specific
#   network environment.  If the request header is found multiple times,
#   the first one that is not "unknown" and not empty is used.
#
#   If this property is undefined (or is defined and the named header is 
#   not found in the request), then the direct result of 
#   ServletRequest.getRemoteAddr() is used to determine the value of 
#   clientIPAddr.
#
#   NOTE: if includeClientIPAddr is false (or omitted), then this 
#   property has no effect.
#
######################################################################
#clientIPAddrRequestHeader=x-forwarded-for

######################################################################
#
# propagateExceptionMessageToClient (optional)
#   Boolean indicating if the exception message should be passed to 
#   the client if an exception occurs in the action processor or in an 
#   upstream service request made by the action processor.
#
#   If omitted, it defaults to true.
#
######################################################################
#propagateExceptionMessageToClient=true

######################################################################
#
# propagateStackTraceToClient (optional)
#   Boolean indicating if the full stack trace info should be passed to 
#   the client if an exception occurs in the action processor or in an 
#   upstream service request made by the action processor.
#
#   If omitted, it defaults to true.
#
######################################################################
#propagateStackTraceToClient=true

######################################################################
#
# sessionTimeout (optional)
#   Http session timeout value (in seconds) after which the action  
#   processor times out the session. A value of -1 means to never
#	timeout the session.
#   
#   If omitted, it defaults to 1800 (30 minutes).
#
######################################################################
#sessionTimeout=1800

######################################################################
#
# monitor.enable (optional)
#   Tells the AMX-BPM framework that it should monitor this properties 
#   file for changes.   
#
#   If omitted, it defaults to false
#
#		true	-	Monitor the file
#		false	-	Don't monitor the file (the default)
######################################################################
monitor.enable=true

